## jpl.fli
Class atom_t

    java.lang.Object
      jpl.fli.LongHolder
          jpl.fli.atom_t

public class atom_t
extends LongHolder

An atom_t is a specialised LongHolder which decrements its atom's reference count when garbage-collected (finalized).

Copyright (C) 1998 Fred Dushin

This library is free software; you can redistribute it and/or modify it under the terms of the GNU Library Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.

This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Library Public License for more details.

Version:
  $Revision: 1.2 $

Field Summary

Fields inherited from class jpl.fli.LongHolder
`value`

Constructor Summary
`atom_t()`

Method Summary
`java.lang.String` `toString()` The String representation of an atom_t is just the atom's name.

Methods inherited from class jpl.fli.LongHolder
`equals`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### atom_t

    public atom_t()

Method Detail

### toString

    public java.lang.String toString()

  The String representation of an atom_t is just the atom's name.

  Returns:
    atom's name